Cards, prop trading & accounting

Get Account Mappings

Returns the versioned Toku-category to QBO-account mappings for the client's connection and invoice type.

GEThttps://api.toku.com/platform/get-account-mappings

Required scope: integrations:read

curl --request GET \
  --url 'https://api.toku.com/platform/get-account-mappings?invoiceType=EOR_PEO' \
  --header 'Authorization: Bearer <token>'
200 response
{
  "version": 0,
  "mappings": [
    {
      "id": "string",
      "connectionId": "string",
      "invoiceType": "EOR_PEO",
      "tokuCategory": "GROSS_WAGES",
      "qboAccountId": "string",
      "qboAccountName": "string",
      "version": 0,
      "createdAt": "string",
      "createdBy": "string"
    }
  ]
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

clientIdstring<uuid>
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

Response

200Successful response
versionintegerrequired
mappingsobject[]required
Show child attributes
idstringrequired
connectionIdstringrequired
invoiceTypestringrequired

Available options: EOR_PEO, CONTRACTOR, W2_YEAR_END, HRIS_PAYROLL

tokuCategorystringrequired

Available options: GROSS_WAGES, EMPLOYER_TAXES, EMPLOYER_BENEFITS, EOR_MANAGEMENT_FEE, CONTRACTOR_PAYMENTS, CONTRACTOR_MANAGEMENT_FEE, GROSS_CRYPTO, NET_CRYPTO_PAYABLE, EMPLOYER_TOKEN_TAXES, TOKEN_TAX_WITHHOLDING, EMPLOYEE_TAX_WITHHOLDING, EMPLOYEE_BENEFITS_WITHHOLDING, ACCOUNTS_PAYABLE, EMPLOYER_COST_PAYABLE, NET_PAY_CLEARING

qboAccountIdstringrequired
qboAccountNamestringrequired
versionintegerrequired
createdAtstringrequired
createdBystringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits